<?php
/* @var $this GymsController */
/* @var $model Gyms */

$this->breadcrumbs=array(
	'Gyms'=>array('index'),
	'Manage',
);

$this->menu=array(
//	array('label'=>'List Gyms', 'url'=>array('index')),
	array('label'=>'Vytvoriť skupinu', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#gyms-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Skupiny</h1>

<?php echo CHtml::link('Rozšírené vyhľadávanie','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'gyms-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'ID',
		'name',
		'address',
		'notes',
		'capacity',
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
