<?php
/* @var $rozvrhy Timetable */
/* @var $prihlasenia Enlist */
?>

<style type="text/css">

    div.timetables table,div.timetables th, div.timetables td {
        border: 1px solid gray; padding: 15px;
    }
    .hrosikovia {
      background-color: #F4B77A;
    }
    .zabky {
      background-color: #D8D564;
    }
    .zajacikovia {
      background-color: #9CADD8;
    }
    .orangutani {
      background-color: #85C7C9;
    }
    .gepardi {
      background-color: #E19CE8;
    }
    .levy {
      background-color: #EA8894;
    }
    .dospeli {
      background-color: #B5B5B5
    }

</style>
<div class="page-content">
    <div class="row clearfix">
        <div class="grid_12 alpha">
            <div class="clearfix mbs">

<div class='timetables'>
    <?php
    // print_r($rozvrhy);
    // print_r($prihlasenia);

    $dni = ['Pondelok', 'Utorok', 'Streda', 'Štvrtok', 'Piatok', 'Sobota', 'Nedeľa'];
    $hodiny = Yii::app()->helper->getHours();
    setlocale(LC_CTYPE, 'sk_SK');

    function numberOfEnl($id_tt, $id_gym) {
        //print_r($data);
        $count = Enlist::model()->countByAttributes(array(
            'ID_timet' => $id_tt
        ));
        $from = Gyms::model()->findByPK($id_gym);
        if($count > $from->capacity)
        {
            $count = $from->capacity;
        }
        return $count . '/' . $from->capacity;
    }

    ?>
    <table>
        <tr>
            <th></th>
            <?php
            foreach ($dni as $day) {
                echo '<th>' . $day . '</th>';
            }
            ?>
        </tr>

        <?php
        foreach ($hodiny as $hour) {
            echo '<tr>';
            echo '<td>' . $hour . '</td>';

            for ($i = 1; $i < 8; $i++) {
                $toprint = "";

                foreach ($rozvrhy as $single) {
                    if (($single->time_start == $hour) && ($single->week_day == $i)) {

                        if ($single->trainer_alt != NULL) {
                            $t2 = Users::model()->findByPk($single->trainer_alt);
                            $trainer_str = $single->trainer0->name . '<br /> ' . $t2->name;
                        } else {
                            $trainer_str = $single->trainer0->name;
                        }

                        if( $single->active == 1){
                          $toprint .= '<span class="' . str_replace('+', '', iconv('UTF-8', 'ASCII//TRANSLIT', $mask[$single->lesson])) . '" style="text-transform: uppercase; font-size: 120%; color: #161616"><strong>' . $mask[$single->lesson] . '</strong></span>' .'<br />' . $trainer_str . '<br /><br />';
                          // $toprint .= '<br />Zoznam a prihlásenie:<br />'.numberOfEnl($single->ID, $single->gym_ID) . ' <br /><br />';
                        }
                    }
                }
                echo '<td>' . $toprint . '</td>';
            }
            echo '</tr>';
        }
        ?>
    </table>
</div>

</div>
</div><!-- grid 9 -->

</div><!-- row -->


</div><!-- end page content -->
