<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="sk"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="sk"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="sk"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!-->
<html xmlns="https://www.w3.org/1999/xhtml" lang="sk">
<!--<![endif]-->
<?php
  $settings['page']['sk'] = 'https://petrzalka.bighuggym.sk/';
  $settings['page']['en'] = 'https://petrzalka.bighuggym.com/';
?>
<head>
	<title>BigHugGym</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>


	<!-- Seo Meta -->
		<meta name="description" content="BigHugGym je špeciálny, edukatívny gymnastický program, realizovaný prostredníctvom zábavných fyzických aktivít.">
		<meta name="keywords" content="BigHugGym, Big Hug Gym, kam s deťmi, pohybová príprava, cvičebný program, aktivity, gymnastika, zdravie, životný štýl, šport, narodeninové oslavy, kurzy, batoľatá, letné kempy, tínedžer, škôlka, škola, detské jasle, rodina, telocvičňa, fitnes, tréning, dieťa">

	<!-- Styles -->
		<link rel="stylesheet" type="text/css" href="<?php echo $settings['page']['sk']; ?>style.css" media="screen" />
		<link rel="stylesheet" type="text/css" href="<?php echo $settings['page']['sk']; ?>js/rs-plugin/css/settings.css" media="screen" />
		<link rel="stylesheet" type="text/css" href="<?php echo $settings['page']['sk']; ?>styles/font-awesome/css/font-awesome.css" media="screen" />
		<link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Oswald&amp;subset=latin-ext,latin">

	<!-- Favicons -->
		<link rel="shortcut icon" href="<?php echo $settings['page']['sk']; ?>images/favicon.ico">
		<link rel="apple-touch-icon" href="<?php echo $settings['page']['sk']; ?>images/favicon.png">

	<!--[if IE]>
		<meta http-equiv="X-UA-Compatible" content="IE=9; IE=8; IE=EmulateIE8; IE=EDGE" />
		<script src="https://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<!--[if IE 8]><link rel="stylesheet" type="text/css" href="styles/ie.css" media="screen" /><![endif]-->
  <link rel="stylesheet" type="text/css" href="<?php echo $settings['page']['sk']; ?>color/dark-carrot.css" media="screen">
  <link rel="stylesheet" type="text/css" href="<?php echo $settings['page']['sk']; ?>styles/nivo-slider/default/default.css" media="screen">
  <link rel="stylesheet" href="<?php echo $settings['page']['sk']; ?>js/fancybox/jquery.fancybox.css" type="text/css" media="screen" />

</head>
<body>
<script>
var myCallback = function() {
  if (document.readyState == 'complete') {
    // Document is ready when CSE element is initialized.
    // Render an element with both search box and search results in div with id 'test'.
    google.search.cse.element.render(
        {
          div: "gcse",
          tag: 'search',
          gname: 'bhg-gcse'
         });
  } else {
    // Document is not ready yet, when CSE element is initialized.
    google.setOnLoadCallback(function() {
       // Render an element with both search box and search results in div with id 'test'.
        google.search.cse.element.render(
          {
            div: "gcse",
            tag: 'search',
            gname: 'bhg-gcse'
          });
    }, true);
  }
};

// Insert it before the CSE code snippet so that cse.js can take the script
// parameters, like parsetags, callbacks.
window.__gcse = {
  parsetags: 'explicit',
  callback: myCallback
};


  (function() {
    var cx = '006484030867691630672:3n3wuaijrye';
    var gcse = document.createElement('script');
    gcse.type = 'text/javascript';
    gcse.async = true;
    gcse.src = (document.location.protocol == 'https:' ? 'https:' : 'http:') +
        '//www.google.com/cse/cse.js?cx=' + cx;
    var s = document.getElementsByTagName('script')[0];
    s.parentNode.insertBefore(gcse, s);
  })();
</script>


<span id="topHook"></span>

<script>!function(d,s,id){
  var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");
</script>

	<div id="layout" class="full">
		<header id="header">
      <div class="first-head">
				<div class="row clearfix animtt" data-gen="fadeInDown" >
					<div class="grid_6">
						<nav>
							<ul class="sf-menu">
								<li><a class="toplinks" href="https://www.facebook.com/bighuggympetrzalka/" target="_blank">Facebook</a></li>
                    <li><a class="toplinks" href="https://www.instagram.com/bighuggym/" target="_blank">Instagram</a></li>
                     <!-- <li><a class="toplinks" href="https://twitter.com/BHG_Ruzinov" target="_blank">Twitter</a></li>  -->
                <li><a class="toplinks" href="<?php echo $settings['page']['sk']; ?>contact.html">Kontakt</a></li>
                <li><a class="toplinks" href="<?php echo $settings['page']['sk']; ?>career.html" id="rules">Kariéra</a></li>
                <li><a href="<?php echo $settings['page']['sk']; ?>admin/" style="color:red">LogIn</a></li>
							</ul>
						</nav>
					</div><!-- grid 6 -->

					<div class="grid_3">
						<span class="info">E: <a class="toplinks" href="mailto:petrzalka@bighuggym.sk?Subject=BigHugGym%20information-petrzalka" target="_blank">petrzalka@bighuggym.sk</a> &nbsp;T: +(421)918788908</span>
					</div><!-- grid 3 -->

					<div class="grid_3">
						<div class="grid_9">
              <div class="search">
  							<!--<form class="searchform" style="width: 62%; float: left;">
  								<input class="s" type="text" onfocus="if (this.value == 'Search ...') {this.value = '';}" onblur="if (this.value == '')  {this.value = 'Search ...';}" value="Search ..." placeholder="Search ...">-->
                    <!-- <gcse:search></gcse:search> -->
                    <div id='gcse'></div>
                    <!-- <gcse:searchbox-only ></gcse:searchbox-only> -->
                <!--</form>-->

  						</div><!-- search -->
            </div>
  					<div class="grid_3">
            	<div class="language" width:41px; float: right;  line-heigh: 32px;">
                <!-- <a href="<?php echo $settings['page']['en']; ?>"><img style="display: block; float:right; max-height: 24px; padding: 10px 2px;" src="<?php echo $settings['page']['sk']; ?>images/EN.png" alt="EN"></a> -->
                <a href="<?php echo $settings['page']['sk']; ?>"><img style="display: block; float:right; max-height: 24px; padding: 10px 2px;" src="<?php echo $settings['page']['sk']; ?>images/SK.png" alt="SK"></a>
              </div>
            </div>
					</div><!-- grid 3 -->
				</div><!-- row -->
			</div><!-- first head -->

				<div class="second-head">
				<div id="second-menu" class="row clearfix">
					<div class="grid_3" style="position: absolute; z-index:100">
						<a href="<?php echo $settings['page']['sk']; ?>index.html"><img class="logo_new" data-gen="fadeInLeft" style="opacity:1;" src="<?php echo $settings['page']['sk']; ?>/../images/logo.png" alt="Logo"></a>
					</div>

					<div class="social head-social animdelay" data-gen="fadeInRight">
					</div>

					  <nav>
              <ul class="sf-menu">
                <li><a class="second-head-alt" href="<?php echo $settings['page']['sk']; ?>index.html">Domov</a></li>
                <li>
                <a class="second-head-alt" href="<?php echo $settings['page']['sk']; ?>lessons.html">Kurzy</a>
                <ul>
                  <li><a class="deeper-nav" href="<?php echo $settings['page']['sk']; ?>lessons.html#t-1c" onClick="$('#t-1c').click();">Hrošíkovia (16-24 mes.) </a></li>
                  <li><a class="deeper-nav" href="<?php echo $settings['page']['sk']; ?>lessons.html#t-2c" onClick="$('#t-2c').click();">Žabky (2-3 roky)     </a></li>
                  <li><a class="deeper-nav" href="<?php echo $settings['page']['sk']; ?>lessons.html#t-3c" onClick="$('#t-3c').click();">Zajačikovia (4-6 rokov)  </a></li>
                  <li><a class="deeper-nav" href="<?php echo $settings['page']['sk']; ?>lessons.html#t-4c" onClick="$('#t-4c').click();">Orangutani (7-9 rokov)</a></li>
                  <li><a class="deeper-nav" href="<?php echo $settings['page']['sk']; ?>lessons.html#t-5c" onClick="$('#t-5c').click();">Gepardi (10-12 rokov)</a></li>
                  <li><a class="deeper-nav" href="<?php echo $settings['page']['sk']; ?>lessons.html#t-6c" onClick="$('#t-6c').click();">Levy (13+ rokov)     </a></li>
                  <li><a class="deeper-nav" href="<?php echo $settings['page']['sk']; ?>lessons.html#t-7c" onClick="$('#t-7c').click();">Dospelí (18+ rokov)     </a></li>
                  <li style="display: block; height: 20px;"></li>
                  <li><a class="deeper-nav" href="<?php echo $settings['page']['sk']; ?>lessons.html#tb-1c" onClick="$('#tb-1c').click();">Športové &  Tanečné kluby a školy</a></li>
                  <li><a class="deeper-nav" href="<?php echo $settings['page']['sk']; ?>lessons.html#tb-2c" onClick="$('#tb-2c').click();">Súkromné hodiny</a></li>
                  <li style="display: block; height: 20px;"></li>
                  <li><a class="deeper-nav" href="<?php echo $settings['page']['sk']; ?>admin/index.php?r=site/VerejnyRozvrh">Rozvrh hodín</a></li>
                  </ul>
                </li>
                <li><a class="second-head-alt" href="<?php echo $settings['page']['sk']; ?>parties-camps.html">Oslavy & Kempy</a>
                <ul>
                  <li><a class="deeper-nav" href="parties-camps.html#tb-3c" onClick="$('#tb-3c').click();">Narodeninové párty              </a></li>
                  <li><a class="deeper-nav" href="<?php echo $settings['page']['sk']; ?>parties-camps.html#tb-4c" onClick="$('#tb-4c').click();">Letné tábory                  </a></li>
                </ul>
                </li>
                <li class="current"><a href="<?php echo $settings['page']['sk']; ?>enroll.html">Skúšobná hodina</a></li>
                <li><a class="second-head-alt" href="https://www.bighuggym.sk" target="_blank">objavte svet BigHugGym.sk</a></li>
              </ul>
            </nav>

				</div><!-- row -->
			</div><!-- second head -->
		</header>

    <div class="social boxed" style="height:24px; padding-bottom:15px; padding-top:10px;">
	      <table style="float: right; width: 240px">
	        <tr>
	          <td style="text-align:right; padding-right: 5px; width: 130px">

              <div id="fb-root"></div>
              <script>(function(d, s, id) {
                var js, fjs = d.getElementsByTagName(s)[0];
                if (d.getElementById(id)) return;
                js = d.createElement(s); js.id = id;
                js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.3&appId=1637792546468130";
                fjs.parentNode.insertBefore(js, fjs);
              }(document, 'script', 'facebook-jssdk'));</script>

              <div class="fb-like" data-href="https://www.facebook.com/bighuggympetrzalka/" data-layout="button_count" data-action="like" data-show-faces="true" data-share="true"></div>
            </td>
	          <td style="text-align:left; padding-left: 5px;">
	            <a href="https://twitter.com/BigHugGym?ref_src=twsrc%5Etfw" class="twitter-follow-button" data-show-screen-name="false" data-show-count="false">Follow @BigHugGym</a><script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
	      	  </td>
	        </tr>
	      </table>
	    </div>

		<div class="breadcrumb">
			<div class="row clearfix">
				<ul>
					<li><a href="<?php echo $settings['page']['sk']; ?>index.html" title="Homepage">Domov</a></li>
					<li>Skúšobná hodina zadarmo</li>
				</ul>
				<div class="proline"><span class="sqi"></span></div>
			</div><!-- row -->
		</div><!-- breadcrumb -->

	   <?php echo $content; ?>

		<footer id="footer">
			<div class="row clearfix">
				<div class="grid_3 animtt twitter" data-gen="fadeInLeft" data-gen-offset="90%" >
					<h4 class="p-title"> Posledné Tweety </h4>
          <a class="twitter-timeline" data-chrome="nofooter noborders noheader" data-width="248" data-height="480" href="https://twitter.com/BigHugGym?ref_src=twsrc%5Etfw">Tweets by BigHugGym</a> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+"://platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
				</div><!-- grid 3 -->

				<div class="grid_6 animtt" data-gen="fadeInUp" data-gen-offset="90%" >
					<h4 class="p-title">AKO NÁS NÁJSŤ</h4>

					<div class="widget-content">
						<a href="https://goo.gl/maps/r1N1iRRdsHH2" target="_blank"><img class="fll four-radius" src="<?php echo $settings['page']['sk']; ?>images/how_to_find_us.png" alt="#"></a><p>BigHugGym Petržalka je tak ako aj naše ostatné prevádzky situovaná v lokalite, kde je výborná dostupnosť ako autom, tak aj MHD. Najrýchlejšie sa k nám dostaneme autom z centra mesta resp. ostatných mestských častí Bratislavy po Panónskej ceste z jednej strany Petržalky alebo po Dolnozemskej ceste z opačnej strany. Autobusovou dopravou sa k nám dostanete najlepšie ak vystúpite na zastávke Jasovská, kde pravidelne chodia spoje č.91,98 a 191, alebo na zastávke Žehrianska, kde chodia spoje č.90 a 98. Nájdete nás v novovybudovanom areáli - Petržalskom centre pre rodiny, na prvom poschodí.</p>
					</div><!-- widget content -->
				</div><!-- grid 6 -->

				<div class="grid_3 animtt" data-gen="fadeInRight" data-gen-offset="90%" >
					<h4 class="p-title"> Kontaktné informácie </h4>
          <div class="widget-content">
						<h6 style="margin-bottom: 3px;">Adresa:</h6>
						<p style="margin-bottom: 10px;">Žehrianska 6, Petržalka 851 07, Bratislava 5</p>
            <h6 style="margin-bottom: 3px;">Telefón:</h6>
						<p style="margin-bottom: 10px;">+(421) 918 788 908</p>
            <h6 style="margin-bottom: 3px;">Email:</h6>
						<p style="margin-bottom: 10px;"><a href="mailto:petrzalka@bighuggym.sk?Subject=BigHugGym%20information-PETRZALKA" target="_blank">petrzalka@bighuggym.sk</a></p>
            <h6 style="margin-bottom: 3px;">Franchise</h6>
            <p style="margin-bottom: 10px;"><a id="rules" href="<?php echo $settings['page']['sk']; ?>own_a_gym.html">Otvor si vlastnú telocvičňu</a></p>
					</div><!-- widget content -->

					<div class="social footer-social">
						<a href="https://www.facebook.com/bighuggympetrzalka/" target="_blank"><img src="<?php echo $settings['page']['sk']; ?>images/social/facebook.png" alt="Facebook"></a>
            <a href="https://www.instagram.com/bighuggym/" target="_blank"><img src="<?php echo $settings['page']['sk']; ?>images/social/instagram.png" alt="Instagram"></a>
            <!--<a href="https://twitter.com/BigHugGym" target="_blank"><img src="<?php echo $settings['page']['sk']; ?>images/social/twitter.png" alt="Twitter"></a>-->
						<a href="https://www.youtube.com/watch?v=YUCGDibe1PI" target="_blank"><img src="<?php echo $settings['page']['sk']; ?>images/social/youtube.png" alt="Youtube"></a>
					</div>
				</div><!-- grid 3 -->
			</div><!-- row -->

			<div class="row copyright mt animtt" data-gen="fadeInUp" data-gen-offset="90%" >
			  <h4>BigHugGym</h4> &copy; 2018 BigHugGym. Všetky práva vyhradené.</div>
    </footer>
    <div class="footer-bot">
      <div class="row clearfix">
       <ul>
        <li><a class="botlink" href="<?php echo $settings['page']['sk']; ?>contact.html">Kontaktné informácie</a></li>
        <li><a class="botlink" href="<?php echo $settings['page']['sk']; ?>terms.html">Obchodné podmienky</a></li>
        <li><a class="botlink" href="<?php echo $settings['page']['sk']; ?>privacy.html">Ochrana súkromia</a></li>
        <li><a class="botlink" href="<?php echo $settings['page']['sk']; ?>faq.html">FAQ</a></li>

       </ul>
      </div>
    </div>
	</div><!-- end layout -->
<div id="toTop"><i class="icon-angle-up"></i></div>
<!-- Scripts -->
	<script type="text/javascript" src="<?php echo $settings['page']['sk']; ?>js/jquery.min.js"></script>
	<script type="text/javascript" src="<?php echo $settings['page']['sk']; ?>js/superfish.js"></script>
	<!-- <script type="text/javascript" src="js/jquery.easing.1.3.js"></script> -->
	<script type="text/javascript" src="<?php echo $settings['page']['sk']; ?>js/jquery.flexslider-min.js"></script>
	<script type="text/javascript" src="<?php echo $settings['page']['sk']; ?>js/twitter/jquery.tweet.js"></script>
	<script type="text/javascript" src="<?php echo $settings['page']['sk']; ?>js/custom.js"></script>
	<script type="text/javascript" src="https://maps.google.com/maps/api/js?sensor=false"></script>
	<script type="text/javascript" src="<?php echo $settings['page']['sk']; ?>js/gmap3.js"></script>
  <script type="text/javascript">
    jQuery(document).ready(function() {
      for(i=1;i<=31;i++){
        jQuery('.daysDDM').append($('<option>', {
          value: i,
          text : i
        }));
      }
      for(i=1;i<=12;i++){
        jQuery('.monthsDDM').append($('<option>', {
          value: i,
          text : i
        }));
      }
      var cdt = new Date();
      var currentYear = cdt.getFullYear();
      for(i=currentYear;i>=currentYear-50;i--){
        jQuery('.yearsDDM').append($('<option>', {
          value: i,
          text : i
        }));
      }

    });
  </script>
  <script type="text/javascript" src="<?php echo $settings['page']['sk']; ?>js/jQuery.scale.js"></script>
  <script type="text/javascript" src="<?php echo $settings['page']['sk']; ?>js/fancybox/jquery.fancybox.pack.js"></script>
  <script type="text/javascript">
    jQuery(document).ready(function() {
      jQuery('#rules').fancybox({type: 'iframe'});
    });
  </script>
  <script src="https://jqueryvalidation.org/files/dist/jquery.validate.min.js"></script>
  <script src="https://jqueryvalidation.org/files/dist/additional-methods.min.js"></script>
  <script src="https://crypto-js.googlecode.com/svn/tags/3.0.2/build/rollups/md5.js"></script>

</body>
</html>
